Ana içeriğe geç

Remove API Proxy from Group

Endpoint​

DELETE /apiops/projects/{projectName}/apiProxyGroups/{apiProxyGroupName}/apiProxies/{apiProxyName}/

Authentication​

Requires a Personal API Access Token.

Authorization: Bearer YOUR_TOKEN

Request​

Headers​

HeaderValueRequired
AuthorizationBearer {token}Yes

Path Parameters​

ParameterTypeRequiredDescription
projectNamestringYesProject name
apiProxyGroupNamestringYesAPI Proxy Group name
apiProxyNamestringYesAPI Proxy name to remove

Request Body​

None.

Response​

Success Response (200 OK)​

{
"status": "SUCCESS"
}

Notes​

  • If API Proxy is not a member of the group, operation still succeeds
  • API Proxy is removed from the group if it is a member

Error Response (400 Bad Request)​

{
"status": "FAILURE",
"resultMessage": "API Proxy Group (PaymentAPIGroup) is not found or user does not have privilege to access it!"
}

or

{
"status": "FAILURE",
"resultMessage": "ApiProxy (MyAPI) is not found or user does not have privilege to access it!"
}

cURL Example​

curl -X DELETE \
"https://demo.apinizer.com/apiops/projects/MyProject/apiProxyGroups/PaymentAPIGroup/apiProxies/PaymentAPI/" \
-H "Authorization: Bearer YOUR_TOKEN"

Notes and Warnings​

  • Idempotent Operation:

    • If API Proxy is not a member, operation still succeeds
    • No error is thrown if API Proxy is not in the group
  • API Proxy Not Deleted:

    • API Proxy itself is not deleted
    • Only the group association is removed

Permissions​

  • User must have API_MANAGEMENT + MANAGE permission in the project